Remove domain redirection
DELETE
https://api.lws.net/v1/
operationIddeleteDomainRedirect
Remove an existing redirection (301 or 302) from the specified domain. Will still return a 200 status code even if the redirection was not found.
Path parameters
-
domainstring required -
Domain name whose redirection to remove
Responses
200
Redirection removed successfully
{
"code": 200,
"info": "Removed the redirection"
}
Response fields 2 Extends ApiEnvelope
-
codeintegerApplication-level status/error code (not always equal to the HTTP status code)
-
infostringHuman-readable message describing the result of the request
201
Could not remove redirection
{
"code": 401,
"info": "Could not remove the redirection",
"data": [
"string"
]
}
Response fields 3 Extends ApiEnvelope
-
codeintegerApplication-level status/error code (not always equal to the HTTP status code)
-
infostringHuman-readable message describing the result of the request
-
datastring[]
314
Domain not found on account
314 is not a registered HTTP status code. It is specific to this API.
{
"code": 314,
"info": "Provided domain has not been found on your account. You must own this domain to manage it."
}
Response fields 2 Extends ApiEnvelope
-
codeintegerApplication-level status/error code (not always equal to the HTTP status code)
-
infostringHuman-readable message describing the result of the request
400
Invalid input
{
"code": 400,
"info": "Invalid input",
"data": []
}
Response fields 3 Extends ApiEnvelope
-
codeintegerApplication-level status/error code (not always equal to the HTTP status code)
-
infostringHuman-readable message describing the result of the request
-
dataobjectDetails about validation errors
500
Internal Server Error
{
"code": 500,
"info": "Internal Server Error",
"data": "string"
}
Response fields 3 Extends ApiEnvelope
-
codeintegerApplication-level status/error code (not always equal to the HTTP status code)
-
infostringHuman-readable message describing the result of the request
-
datastringError message
502
Bad Gateway
{
"code": 502,
"info": "Invalid response from upstream server",
"data": []
}
Response fields 3 Extends ApiEnvelope
-
codeintegerApplication-level status/error code (not always equal to the HTTP status code)
-
infostringHuman-readable message describing the result of the request
-
dataobjectInvalid response returned by the server
401
Unauthorized - Missing authentication headers
{
"code": 401,
"info": "Unauthorized access to the API. Please specify X-Auth-Pass and X-Auth-Login to proceed."
}
Response fields 2
-
codeinteger -
infostring
429
Rate limit exceeded
{
"code": 429,
"info": "Rate limit exceeded. Please try again later."
}
Response fields 2
-
codeinteger -
infostring